<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: tags_system_admin.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."tags_system_panel/infusion_db.php";
include INFUSIONS."tags_system_panel/inc/inc.php";

add_to_title($locale['global_200'].$locale['tgs_050']);

if (!checkrights("TAGS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }


opentable($locale['tgs_050']);

include INFUSIONS."tags_system_panel/inc/admin_nav.php";

echo "<br />\n".$locale['tgs_100']."<br />\n";

 if (isset($_POST['set_setting'])) {
$setting = set_setting("tags_setting", stripinput($_POST['tags_per_page']), "tags_system_panel");
{ redirect(FUSION_SELF.$aidlink); }
}

	echo "<form name='inputform' method='post' action='".FUSION_SELF.$aidlink."'>";
	echo "<table align='center' cellspacing='0' cellpadding='0' class='tbl'>\n<tr>\n";
	echo "<td class='tbl'>".$locale['tgs_101']."</td>";
	echo "<td class='tbl'><input type='text' name='tags_per_page' value='".$limit."' class='textbox' style='width:30px;' /></td>\n";
	echo "<td align='center' class='tbl1'><input type='submit' name='set_setting' value='".$locale['tgs_059']."' class='button' /></td>\n";
	echo "</tr>\n</table>\n</form>\n";


// Please do not remove copyright info
   $title = $locale['tgs_001'];
   $data_v = dbarray(dbquery("SELECT inf_version FROM ".DB_INFUSIONS." WHERE inf_folder = 'tags_system_panel'"));	
   $version = $data_v['inf_version'];
   echo "<br /><div class='small' align='center'><hr width='80%'>".$title." [v".$version."] by <a target='_blank' href='http://www.phpnuclear.com/'>HobbyMan</a> ".date("Y")."<br /><hr width='60%'></div>\n";
// End copyright info

closetable();
require_once THEMES."templates/footer.php";
?>