<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: tags_system_admin.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."tags_system_panel/infusion_db.php";
include INFUSIONS."tags_system_panel/inc/inc.php";

add_to_title($locale['global_200'].$locale['tgs_050']);

if (!checkrights("TAGS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

$tag_id = "";

if (isset($_GET['rowstart']) && isnum($_GET['rowstart'])) {
		$rowstart = $_GET['rowstart'];
	    } else {
		$rowstart = 0;
	}

 if (isset($_POST['news_tags'])) {
 
 $tag_name = stripinput(trim($_POST['tag_name']));
 $tag_tags = stripinput(trim($_POST['tag_tags']));
   
        $result = dbquery("INSERT INTO ".DB_TAGS." VALUES('', '".$tag_name."', 'N', '".$tag_tags."')");                                   
        { redirect(FUSION_SELF.$aidlink."&rowstart=$rowstart"); }
       } elseif (isset($_POST['news_tags_update'])) {
    $tag_tags = stripinput(trim($_POST['tag_tags']));   
    $result = dbquery("UPDATE ".DB_TAGS." SET tag_tags='$tag_tags' WHERE tag_id='".$_POST['tag_id']."'");
       { redirect(FUSION_SELF.$aidlink."&rowstart=$rowstart"); }

        }else {

opentable($locale['tgs_050']);
	$counter = dbcount("(news_id)", DB_NEWS);
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
include INFUSIONS."tags_system_panel/inc/admin_nav.php";

 echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>\n";

$result = dbquery(
                  "SELECT news_id,
                          news_subject, 
                          news_news 
                  FROM ".DB_NEWS." 
                  WHERE ".groupaccess('news_visibility')."
                  AND news_draft = '0' 
                  ORDER BY news_datestamp 
                  DESC LIMIT $rowstart, $limit
                  ");


    echo "<tr><th class='tbl1'>".$locale['tgs_051']."</th>\n</tr>\n";
if (dbrows($result)) {

	while($data = dbarray($result)) {
	    echo "<tr><td class='tbl1'><a href='".BASEDIR."news.php?readmore=".$data['news_id']."' title='".$data['news_subject']."' class='side'>\n<strong>".$data['news_subject']."</strong></a></td>\n</tr>\n";
		echo "<tr><td class='tbl1'>".trimlink($data['news_news'], 80)."</td>\n</tr>\n";
		$tag_check = dbarray(dbquery("SELECT * FROM ".DB_TAGS." WHERE tag_name = '".$data['news_id']."' AND tag_type = 'N'"));
		
		if (!$tag_check['tag_tags']) {
		echo "<form name='news_tags' method='post' action='".FUSION_SELF.$aidlink."&rowstart=".$rowstart."'>\n";
		} else {
		echo "<form name='news_tags_update' method='post' action='".FUSION_SELF.$aidlink."&rowstart=".$rowstart."'>\n";
		}
		echo "<tr><td class='tbl1' align='center'>".$locale['tgs_003'].": ";
		echo "\n<input type='text' name='tag_tags' value='".$tag_check['tag_tags']."' class='textbox' style='width:300px;' />\n";
		echo "<input type='hidden' name='tag_name' value='".$data['news_id']."' />\n";
		if ($tag_check['tag_tags']) {
		echo "<input type='hidden' name='tag_id' value='".$tag_check['tag_id']."' />\n";
		echo "<input type='submit' name='news_tags_update' value='".$locale['tgs_009']."' class='button' />\n";
		} else {
		$tag_id = "";
		echo "<input type='submit' name='news_tags' value='".$locale['tgs_010']."' class='button' />\n";
       }
		echo "</form></td>\n</tr>\n";
	  }
    } else {
	echo "<tr><td class='tbl1'>".$locale['tgs_055']."</td>\n</tr>\n";
 }

echo "</table>\n";

if (($counter) > $limit) { echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($rowstart,$limit,$counter,3,FUSION_SELF.$aidlink."&amp;")."\n</div>\n"; }

// Please do not remove copyright info
   $title = $locale['tgs_001'];
   $data_v = dbarray(dbquery("SELECT inf_version FROM ".DB_INFUSIONS." WHERE inf_folder = 'tags_system_panel'"));	
   $version = $data_v['inf_version'];
   echo "<br /><div class='small' align='center'><hr width='80%'>".$title." [v".$version."] by <a target='_blank' href='http://www.phpnuclear.com/'>HobbyMan</a> ".date("Y")."<br /><hr width='60%'></div>\n";
// End copyright info

closetable();

}

require_once THEMES."templates/footer.php";
?>