<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."tags_system_panel/infusion_db.php";

if (file_exists(INFUSIONS."tags_system_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."tags_system_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."tags_system_panel/locale/English.php";
}

$inf_title = $locale['tgs_001'];
$inf_description = $locale['tgs_002'];
$inf_version = "1.2";
$inf_developer = "HobbyMan";
$inf_email = "";
$inf_weburl = "http://www.phpnuclear.com/";

$inf_folder = "tags_system_panel";

$inf_newtable[1] = DB_TAGS." (
tag_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
tag_name MEDIUMINT (8) UNSIGNED DEFAULT '1' NOT NULL,
tag_type CHAR(1) NOT NULL DEFAULT '',
tag_tags TEXT NOT NULL,
PRIMARY KEY (tag_id)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_PANELS." SET panel_name='".$locale['tgs_001']."', panel_filename='".$inf_folder."', panel_content='', panel_side=1, panel_order='2', panel_type='file', panel_access='0', panel_display='1', panel_status='1', panel_url_list='', panel_restriction='0'";
$inf_insertdbrow[2] = DB_PANELS." SET panel_name='".$locale['tgs_102']."', panel_filename='tags_include_panel', panel_content='', panel_side=3, panel_order='99', panel_type='file', panel_access='0', panel_display='1', panel_status='1', panel_url_list='', panel_restriction='0'";

$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='$inf_folder'";
$inf_deldbrow[2] = DB_PANELS." WHERE panel_filename='tags_include_panel'";
$inf_droptable[1] = DB_TAGS;

$inf_adminpanel[1] = array(
	"title" => $locale['tgs_050'],
	"image" => "image.gif",
	"panel" => "admin/tags_system_admin.php",
	"rights" => "TAGS"
);

?>